Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# TAO::Security::EstablishTrustPolicy Class Reference

Implementation of the SecurityLevel2::EstablishTrustPolicy. More...

`#include <SL2_EstablishTrustPolicy.h>`

Inheritance diagram for TAO::Security::EstablishTrustPolicy:

[legend]
Collaboration diagram for TAO::Security::EstablishTrustPolicy:

[legend]
List of all members.

## Public Member Functions
| EstablishTrustPolicy (const ::Security::EstablishTrust &trust)
| Constructor.
virtual ::Security::EstablishTrust | trust (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
CORBA::Policy Methods
virtual CORBA::PolicyType | policy_type (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
virtual CORBA::Policy_ptr | copy (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
virtual void | destroy (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
## Protected Member Functions
| ~EstablishTrustPolicy (void)
| Destructor.
## Private Attributes
::Security::EstablishTrust const | trust_

## Detailed Description

Implementation of the SecurityLevel2::EstablishTrustPolicy.

This policy can be used to enable or disable establishment of trust in the client or the target or both on a per-object basis. For example, it can be set as a policy override using the standard CORBA::Object::_set_policy_overrides() method.

  This policy can be created by using the CORBA::ORB::create_policy() method by passing it the Security::SecEstablishTrustPolicy policy type, and the

appropriate Security::EstablishTrust structure (inserted into a CORBA::Any).

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO::Security::EstablishTrustPolicy::EstablishTrustPolicy | ( | const ::Security::EstablishTrust & | trust | ) |

| Constructor.

TAO::Security::EstablishTrustPolicy::~EstablishTrustPolicy | ( | void |  | ) | `[protected]`

| Destructor. Protected destructor to enforce proper memory management through the reference counting mechanism.

## Member Function Documentation

CORBA::Policy_ptr TAO::Security::EstablishTrustPolicy::copy | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

void TAO::Security::EstablishTrustPolicy::destroy | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

CORBA::PolicyType TAO::Security::EstablishTrustPolicy::policy_type | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

Security::EstablishTrust TAO::Security::EstablishTrustPolicy::trust | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)

| Return the "establish trust" value associated with this policy.

## Member Data Documentation

::Security::EstablishTrust const TAO::Security::EstablishTrustPolicy::trust_`[private]`

| Quality of protection which can be specified for an object reference and used to protect messages.

The documentation for this class was generated from the following files:

- SL2_EstablishTrustPolicy.h
- SL2_EstablishTrustPolicy.cpp